DeleteConfiguration tells the sales channel to delete (deactivate) the storefront's integration configuration, e.g. when the storefront is disconnected in Zentail.
You implement thisScope not enforced
DELETE
/v2/storefront/configuration/{storefrontId}
const url = 'https://your-host.example/v2/storefront/configuration/example';const options = { method: 'DELETE', headers: { 'X-Zentail-Signature': '<X-Zentail-Signature>', 'X-Zentail-Timestamp': '<X-Zentail-Timestamp>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://your-host.example/v2/storefront/configuration/example \ --header 'X-Zentail-Signature: <X-Zentail-Signature>' \ --header 'X-Zentail-Timestamp: <X-Zentail-Timestamp>'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”storefrontId
required
string
Responses
Section titled “ Responses ”A successful response.
Media typeapplication/json
DeleteConfigurationResponse is the response for the DeleteConfiguration RPC
object
Examplegenerated
{}default
Section titled “default”An unexpected error response.
Media typeapplication/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Examplegenerated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}